summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-07-17 14:21:14 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-07-17 14:22:28 +0300
commit80ee57ee2a40c186f4c2e4eea6bb1086ffcdc5fa (patch)
treed677c02cfb70af6809a1a9b707566a093d2396bd /dev-tex/pgf
parentdev-perl/XML-LibXML: Bump to version 2.20.100 re bug #595098 (diff)
downloadgentoo-80ee57ee2a40c186f4c2e4eea6bb1086ffcdc5fa.tar.gz
gentoo-80ee57ee2a40c186f4c2e4eea6bb1086ffcdc5fa.tar.bz2
gentoo-80ee57ee2a40c186f4c2e4eea6bb1086ffcdc5fa.zip
dev-tex/pgf: Version bump (v3.1.4)
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
Diffstat (limited to 'dev-tex/pgf')
-rw-r--r--dev-tex/pgf/Manifest2
-rw-r--r--dev-tex/pgf/pgf-3.1.4.ebuild40
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-tex/pgf/Manifest b/dev-tex/pgf/Manifest
index 13d18a7ef42..e95a5e068ee 100644
--- a/dev-tex/pgf/Manifest
+++ b/dev-tex/pgf/Manifest
@@ -1,2 +1,4 @@
+DIST pgf-3.1.4-pgfmanual.pdf 10376398 BLAKE2B 4e45a0d69000d1f89a995f3e5e9295b82a79af5cfd5863aba4f1fd9c3b40d05f2f07b6fc2b34a933136448728aea3dfacc4943fd013896cd4cfe52c9dc8aa3c3 SHA512 a2b934d6e9836fce0a731d238b713ebdc3764e8aa76ea4c7fd54c88f59f31fe17f8c306b6a381adc73becb410e0c6350427112e5d46ae762665fc73fcdca54a0
+DIST pgf-3.1.4.tar.gz 2426346 BLAKE2B 44d1c709774586b4de81def3d4e7133d147e9e3c1b69078789c8f62378b97a6fc6cfbd580a5f1d292190282dbec5ca4f080d4567b2e1fa526909f08e07169547 SHA512 472ffca8f465bfb5f98cbe0880887afc5b9043bfc878aa8f64a79970502546cc3e0901010b8662aa582af9bc4a90b622ade828c075396542a1e2ee7af694181c
DIST pgf_3.0.1.tds.zip 10423731 BLAKE2B ca1513213f47279f7cb67cd6459e01082c6693c0da97e873205f2ed5dad1d3e83ccd036d6b56c245d334a4c9eff44bb81cd673962def80f075b56e6b7e0b7477 SHA512 0899e0fbd6d196504c5d15176015557d38e027429a84de661a5627fa003bfeffdb3f013df23c298b32c3a5605388160f42621e92d626e3ce88561fe4b4b7bddf
DIST pgf_3.1.tds.zip 12852844 BLAKE2B 5214bc0a8dd4ee521023be245602c8fecff4f7ef5a37abba060c507355351621863aaa4b16de10383e900ed8eccc26e95f77b291f352c7ad36738451102675da SHA512 c8a0ae2ddb4769e640c487968c6f3e18b778c5eb24fe40d38a85936ce45597db7e90281571b56a92619f2e2ec7cb17019f31deaa8f93fddb2b7adf87e84b555c
diff --git a/dev-tex/pgf/pgf-3.1.4.ebuild b/dev-tex/pgf/pgf-3.1.4.ebuild
new file mode 100644
index 00000000000..b34e9dfc094
--- /dev/null
+++ b/dev-tex/pgf/pgf-3.1.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit latex-package
+
+DESCRIPTION="The TeX Portable Graphic Format"
+HOMEPAGE="https://github.com/pgf-tikz/pgf"
+SRC_URI=" https://github.com/pgf-tikz/pgf/archive/${PV}.tar.gz -> ${P}.tar.gz
+ doc? ( https://github.com/pgf-tikz/pgf/releases/download/${PV}/pgfmanual.pdf -> ${P}-pgfmanual.pdf )"
+
+LICENSE="GPL-2 LPPL-1.3c FDL-1.2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc source"
+
+RDEPEND="dev-texlive/texlive-latexrecommended
+ dev-tex/xcolor"
+
+src_install() {
+ insinto "${TEXMF}"
+ doins -r tex
+
+ if use source ; then
+ doins -r source
+ fi
+
+ cd "${S}/doc/generic/pgf" || die
+ dodoc AUTHORS ChangeLog README
+ if use doc; then
+ insinto /usr/share/doc/${PF}/texdoc
+ # pgfmanual is now split from the main tar archive
+ newdoc "${DISTDIR}/${P}-pgfmanual.pdf" pgfmanual.pdf
+ doins -r images macros text-en version-*
+
+ dosym "/usr/share/doc/${PF}/texdoc" "${TEXMF}/doc/latex/${PN}"
+ docompress -x "/usr/share/doc/${PF}/texdoc/"
+ fi
+}